#
# spec file for package master-boot-code
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           master-boot-code
Version:        1.22
Release:        21.3
Summary:        i386 Master Boot Record Code
License:        BSD-3-Clause
Group:          System/Boot
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64

%description
The i386 master boot code is code that, after copied to the MBR of the
boot disk, loads and starts the boot sector of the active partition.



Authors:
--------
    Wolfgang Solfrank, TooLs GmbH
    The Regents of the University of California

%prep
%setup -n %{name}-%{version}

%build
make

%install
test -d $RPM_BUILD_ROOT/usr/lib/boot || mkdir -p $RPM_BUILD_ROOT/usr/lib/boot
test -d $RPM_BUILD_ROOT/usr/sbin || mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -c -p -m 644 mbr512 $RPM_BUILD_ROOT/usr/lib/boot/master-boot-code
install -c -p -m 644 mbr $RPM_BUILD_ROOT/usr/lib/boot/MBR
install -c -p -m 755 fixmbr $RPM_BUILD_ROOT/usr/sbin/.

%clean
# Clear up the mess
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%dir /usr/lib/boot
%attr(644,root,root) /usr/lib/boot/master-boot-code
%attr(644,root,root) /usr/lib/boot/MBR
%attr(755,root,root) /usr/sbin/fixmbr
%doc COPYING

%changelog
* Mon Dec  9 2013 jdelvare@suse.de
- Build for x86_64 too, so that we don't need glibc-32bit on x86_64
  systems (bnc#573445)
* Tue Apr 13 2010 duwe@suse.de
- Update NetBSD MBR code to cvs r1.22, which has no more
  advertising clauses (bnc#115583).
- Add a fixmbr command as well as a code-only file to ease
  installation (bnc#105828).
* Wed Aug 13 2008 ro@suse.de
- remove x86_64 from ExclusiveArch (x86 package copied literally)
* Thu May 10 2007 duwe@suse.de
- entirely remove support for C/H/S addressing (FATE#301805)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep  9 2005 cthiel@suse.de
- repackage master-boot-code.tar.bz2 to make it bz2-compressed
* Wed Aug 31 2005 ro@suse.de
- changed permissions of FixCHS to 755 (#114429)
* Tue Aug 23 2005 jsrain@suse.cz
- Added FixCHS to fix C/H/S geometry in MBR (#103031)
* Thu Nov 18 2004 jsrain@suse.cz
- Initial package
